//
//  CarTableViewCell.swift
//  Showroom
//
//  Created by Holger Hinzberg on 30.11.15.
//  Copyright © 2015 Holger Hinzberg. All rights reserved.
//

import UIKit

class CarTableViewCell: UITableViewCell
{
    @IBOutlet var makeLabel:UILabel!
    @IBOutlet var modelLabel:UILabel!
    @IBOutlet var carImageView:UIImageView!
    private var canDrawRoundCorners:Bool
    private var canDrawPictureFrame:Bool
    
    required init?(coder aDecoder: NSCoder)
    {
        // Die Benutzereinstellungen holen
        let defaults
        = NSUserDefaults.standardUserDefaults()
        
        // Die Werte aus den Einstellungen über den
        // Identifier laden und den Eigenschaften
        // zuweisen
        self.canDrawPictureFrame
            = defaults.boolForKey("imageFrame")
        self.canDrawRoundCorners
            = defaults.boolForKey("roundCorners")
        
        super.init(coder: aDecoder)
    }
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
    func setCarForTableViewCell(car:ShowroomCar)
    {
        // Die Benutzereinstellungen holen
        let defaults
        = NSUserDefaults.standardUserDefaults()
        
        // Die Werte aus den Einstellungen über den
        // Identifier laden und den Eigenschaften
        // zuweisen
        self.canDrawPictureFrame
            = defaults.boolForKey("imageFrame")
        self.canDrawRoundCorners
            = defaults.boolForKey("roundCorners")
        
        self.makeLabel.text = car.make
        self.modelLabel.text = car.model
        self.carImageView.image
          = UIImage(named: car.picture)
        
        // Die Ecken der Bilder abrunden
        if self.canDrawRoundCorners == true
        {
            print("Mit abgerundeten Ecken")
            self.carImageView.layer.masksToBounds = true
            self.carImageView.layer.cornerRadius = 5
        }
        else
        {
            // Die Zelle ohne abgerundete Ecken zeichnen
            self.carImageView.layer.masksToBounds = false
        }
        
        // Mit Rahmen zeichnen
        if self.canDrawPictureFrame == true
        {
            print("Mit Rahmen")
            self.carImageView.layer.borderWidth = 1
            self.carImageView.layer.borderColor
              = UIColor(colorLiteralRed: 0.5, green: 0.5
                  , blue: 0.5, alpha: 0.5).CGColor
        }
        else
        {
            // Die Zelle ohne Rahmen zeichnen
            self.carImageView.layer.borderWidth = 0
        }
        
        /*
        self.makeLabel.layer.masksToBounds = true
        self.makeLabel.layer.cornerRadius = 7
        self.makeLabel.backgroundColor = UIColor.greenColor()
        */
    }
    
}
